Submit a ticketCall us

WebinarUpcoming Webinar: Know What’s Changed – with NEW Server Configuration Monitor

Change management in IT is critical. But, even with a good change management process, changes are too often not correctly tracked, if at all. The configuration of your servers and applications is a key factor in their performance, availability, and security. Many incidents can be tracked back to an authorized (and sometimes unauthorized) configuration change, whether to a system file, configuration file, or Windows® Registry entry. Join SolarWinds VP of product management Brandon Shopp to discover how the new SolarWinds® Server Configuration Monitor is designed to help you.

Register now.

Home > Success Center > DameWare Remote Support & Mini Remote Control > DameWare Documentation > Previous Versions > DameWare Remote Support User Guide > About DameWare Remote Support > System requirements for DameWare Remote Support

System requirements for DameWare Remote Support

Updated August 10, 2017

Hardware

Install DameWare Remote Support on a computer that meets the following minimum requirements:

  • 1 GHz CPU

  • 20 MB RAM

  • 150 MB available hard drive space

Operating system

Install Remote Support on a computer running any of the following operating systems:

  • Windows Vista
  • Windows Server 2008 (including R2)
  • Windows 7
  • Windows Server 2012 (including R2)
  • Windows 8
  • Windows 8.1
  • Windows 10
  • Windows Server 2016

The APIs used by Remote Support also require the user to have the ability to authenticate to this remote machine over the network. In other words, it may require the Server Service, the NetLogon Service (Domain environments), and possibly the Remote Registry Service as well. Remote Support requires the Remote Registry Service for the following functions because they require access to the Registry.

  • Event Log View

  • Properties View

  • Processes View

  • Registry View

  • Services View

  • Software View

The Remote Registry Service is turned off by default in Windows Vista and later.

Com Control

The following informational message will be displayed whenever Remote Support is executed on systems that do not have version 4.71 or later of the Microsoft COMCTL32.DLL file:

This version of Remote Support requires a newer version of COMCTL32.DLL (Version 4.71 or later) than what is installed on this machine (Version x.xx). A newer version of this DLL can be obtained from Microsoft and is shipped with NT SP4 and IE 4.x or higher.

Where x.xx is the version of COMCTL32.DLL on the computer receiving this message.

Remote Support still functions with older versions of Com Control. However, it is recommended that you update COMCTL32.DLL to a later version for best results. This file is not re-distributable by third party software developers, but you can download it from Microsoft and install it.

Last modified

Tags

Classifications

Public